Ενότητα 5 · 5.2
Εξαγωγή ημερολογίου και επαφών από Google και Microsoft
Ενότητα 5: Ημερολόγιο και επαφές · Χρόνος ανάγνωσης: 12 λεπτά
Στόχος μαθήματος: Μετά από αυτό το μάθημα θα μπορείτε να δημιουργήσετε μια πλήρη και χρήσιμη εξαγωγή ημερολογίων και επαφών από Google και Microsoft, να διαβάσετε ένα αρχείο ICS και vCard, και θα γνωρίζετε τι δεν μεταφέρεται ή μεταφέρεται διαφορετικά κατά την εξαγωγή.
Βασικές έννοιες: iCalendar (ICS), VCALENDAR, VEVENT, UID, DTSTART, RRULE, EXDATE, VTIMEZONE και TZID, ORGANIZER και ATTENDEE, VALARM, vCard (VCF) 3.0 και 4.0, csv, Google Takeout, εργαλείο μετεγκατάστασης
Δύο μορφές αρχείων που γνωρίζουν σχεδόν όλοι
Τα ημερολόγια και οι επαφές μεταφέρονται με δύο ανοικτά πρότυπα:
- iCalendar, αρχεία με επέκταση
.ics(RFC 5545), για ημερολόγια και εργασίες. - vCard, αρχεία με επέκταση
.vcf, για επαφές. Υπάρχουν δύο εκδόσεις που θα συναντήσετε: 3.0 (RFC 2426) και 4.0 (RFC 6350).
Πρόκειται για απλά αρχεία κειμένου. Μπορείτε να τα ανοίξετε σε έναν επεξεργαστή κειμένου, και ακριβώς αυτό θα κάνετε σε αυτό το μάθημα. Όποιος γνωρίζει τι περιέχουν, βλέπει επίσης τι λείπει.
Συχνά υπάρχει ένας ευκολότερος τρόπος από την εξαγωγή: πολλές νέες υπηρεσίες διαθέτουν ένα εργαλείο μετεγκατάστασης που, με τη συγκατάθεσή σας, ανακτά απευθείας τα ημερολόγια και τις επαφές σας από το Google ή τη Microsoft. Αυτό γίνεται γρηγορότερα και με λιγότερα σφάλματα. Ωστόσο, μια δική σας εξαγωγή είναι συνετή: ως έλεγχος (πόσα ραντεβού και επαφές είχα;), ως αντίγραφο ασφαλείας προτού ακυρώσετε την παλιά υπηρεσία, και ως διέξοδος αν το εργαλείο μετεγκατάστασης δεν επιτρέπεται από τον διαχειριστή σας.
Έτσι μοιάζει ένα αρχείο ημερολογίου
Μια εξαγωγή του ημερολογίου της Bakkerij De Korrel ξεκινά ως εξής:
BEGIN:VCALENDAR
VERSION:2.0
PRODID:-//Google Inc//Google Calendar 70.9054//EN
BEGIN:VTIMEZONE
TZID:Europe/Amsterdam
...
END:VTIMEZONE
BEGIN:VEVENT
UID:3f1a9c2e7b@google.com
DTSTART;TZID=Europe/Amsterdam:20261110T060000
DTEND;TZID=Europe/Amsterdam:20261110T070000
RRULE:FREQ=WEEKLY;BYDAY=TU
EXDATE;TZID=Europe/Amsterdam:20261229T060000
SUMMARY:Levering meel
ORGANIZER:mailto:anne@example.com
ATTENDEE;CN=Groothandel:mailto:verkoop@example.net
BEGIN:VALARM
TRIGGER:-PT30M
ACTION:DISPLAY
END:VALARM
END:VEVENT
END:VCALENDARΤι βλέπετε:
| Γραμμή | Σημασία | Πού μπορεί να πάει στραβά |
|---|---|---|
BEGIN:VCALENDAR και VERSION:2.0 | αυτό είναι ένα αρχείο iCalendar | αν λείπει, η εισαγωγή αποτυγχάνει |
BEGIN:VEVENT ... END:VEVENT | ένα ραντεβού | ένα ελλείπον END καθιστά το υπόλοιπο μη αναγνώσιμο |
UID | το μόνιμο αναγνωριστικό του ραντεβού | χωρίς UID ο server δεν μπορεί να αναγνωρίσει διπλότυπα |
DTSTART;TZID=... | ώρα έναρξης σε μια ζώνη ώρας | δείτε τις ζώνες ώρας παρακάτω |
RRULE | κανόνας επανάληψης: κάθε Τρίτη | ένας μη έγκυρος κανόνας δημιουργεί ένα μεμονωμένο ραντεβού αντί για σειρά |
EXDATE | εξαίρεση: όχι αυτή την Τρίτη | |
ORGANIZER, ATTENDEE | ποιος προσκάλεσε και ποιος προσκλήθηκε | δείτε τις προσκλήσεις παρακάτω |
VALARM | υπενθύμιση, 30 λεπτά πριν | δεν μεταφέρουν όλες οι υπηρεσίες τις υπενθυμίσεις |
Ζώνες ώρας
Μια ώρα με TZID=Europe/Amsterdam σημαίνει: 6 το πρωί στο Άμστερνταμ, ακόμη και μετά τη μετάβαση στη θερινή ώρα. Το αρχείο πρέπει επομένως να περιέχει ένα block VTIMEZONE που περιγράφει αυτή τη ζώνη ώρας. Οι εξαγωγές από το Outlook χρησιμοποιούν συχνά ονόματα των Windows όπως W. Europe Standard Time. Αυτό λειτουργεί σωστά εφόσον το block VTIMEZONE περιλαμβάνεται. Αν λείπει, η νέα υπηρεσία μαντεύει, και βλέπετε τα ραντεβού μετατοπισμένα κατά μία ώρα. Μια ώρα που τελειώνει σε Z (20261110T050000Z) είναι σε UTC και πάντα σαφής. Μια ώρα χωρίς ζώνη ώρας και χωρίς Z ονομάζεται «αιωρούμενη» ώρα: ισχύει στη ζώνη ώρας όποιου τη βλέπει.
Τα ραντεβού ολόκληρης ημέρας αναγράφονται ως ημερομηνία χωρίς ώρα: DTSTART;VALUE=DATE:20261224.
Προσκλήσεις
Ένα ραντεβού που διοργανώσατε εσείς εμφανίζεται στο αρχείο με εσάς ως ORGANIZER. Μετά την εισαγωγή εμφανίζεται στο νέο σας ημερολόγιο, αλλά οι συμμετέχοντες το έχουν ακόμη στο δικό τους ημερολόγιο ως πρόσκληση από την παλιά σας διεύθυνση, με UID της παλιάς υπηρεσίας. Αν τροποποιήσετε αργότερα το ραντεβού, θα λάβουν νέα πρόσκληση. Για επαναλαμβανόμενες συναντήσεις με εξωτερικούς συνεργάτες μπορεί να είναι πιο καθαρό να τους προσκαλέσετε εκ νέου μετά τη μετάβαση. Τα ραντεβού για τα οποία έχετε προσκληθεί εσείς μεταφέρονται ως απλά ραντεβού· οι απαντήσεις προς τον διοργανωτή γίνονται μέσω email.
Εξαγωγή από το Google
- Ημερολόγιο: στο Google Calendar, στις Ρυθμίσεις, στην ενότητα Εισαγωγή και εξαγωγή, το κουμπί Εξαγωγή. Λαμβάνετε ένα αρχείο zip με ένα αρχείο ics ανά ημερολόγιο του οποίου είστε ιδιοκτήτης. Τα ημερολόγια που άλλοι μοιράζονται μαζί σας δεν περιλαμβάνονται· αυτά τα εξάγει ο ιδιοκτήτης, ή τα εξάγετε ανά ημερολόγιο από τις ρυθμίσεις του συγκεκριμένου ημερολογίου, εφόσον αυτό επιτρέπεται.
- Επαφές: στο Google Contacts επιλέγετε τις επαφές (ή όλες), επιλέγετε Εξαγωγή και κατόπιν τη μορφή vCard. Το Google προσφέρει επίσης «Google CSV» και «Outlook CSV»· επιλέξτε vCard, καθώς διατηρεί τη δομή (πολλαπλοί αριθμοί τηλεφώνου, διευθύνσεις, φωτογραφία).
- Όλα μαζί: το Google Takeout (takeout.google.com) παρέχει το ημερολόγιο ως ics, τις επαφές ως vcf (ή csv) και το Gmail ως mbox, σε αρχεία zip. Χρήσιμο ως αντίγραφο ασφαλείας ολόκληρου του λογαριασμού.
Τα ονόματα των μενού αλλάζουν κατά καιρούς· σε περίπτωση αμφιβολίας αναζητήστε στη βοήθεια του Google τον όρο «εξαγωγή ημερολογίου».
Εξαγωγή από τη Microsoft
- Ημερολόγιο: στο κλασικό Outlook για Windows μπορείτε να αποθηκεύσετε ένα ημερολόγιο ως αρχείο iCalendar (Αποθήκευση ως, με επιλογή της περιόδου και «πλήρεις λεπτομέρειες»). Επιλέξτε μια περίοδο που εκτείνεται αρκετά πίσω και μπροστά, και επιλέξτε πλήρεις λεπτομέρειες, διαφορετικά εξάγετε μόνο διαθεσιμότητα/απασχόληση. Στο Outlook στο web μπορείτε να δημοσιεύσετε ένα ημερολόγιο ως σύνδεσμο ICS και να κατεβάσετε το αρχείο μέσω αυτού του συνδέσμου· απενεργοποιήστε κατόπιν ξανά τη δημοσίευση.
- Επαφές: το Outlook στο web εξάγει επαφές ως csv, όχι ως vCard. Το κλασικό Outlook εξάγει μαζικά επίσης σε csv· η vCard είναι δυνατή εκεί μόνο ανά επαφή. Πολλές υπηρεσίες CardDAV δεν μπορούν να εισάγουν απευθείας ένα αρχείο csv. Υπάρχουν δύο διέξοδοι: να χρησιμοποιήσετε το εργαλείο μετεγκατάστασης της νέας σας υπηρεσίας (που ανακτά τις επαφές απευθείας), ή να εισαγάγετε το csv σε ένα βιβλίο διευθύνσεων του Thunderbird και να το εξαγάγετε εκεί ως vCard.
- Κοινόχρηστα ημερολόγια και ημερολόγια χώρων είναι ημερολόγια του οργανισμού. Αυτά τα εξάγει ο διαχειριστής, ή τα δημιουργείτε εκ νέου στη νέα υπηρεσία.
Τι δεν μεταφέρεται ή μεταφέρεται διαφορετικά κατά την εξαγωγή
| Στοιχείο | Τι συμβαίνει |
|---|---|
| Συνημμένα σε ραντεβού | συνήθως δεν μεταφέρονται· μόνο ένας σύνδεσμος, ή τίποτα |
| Χρώματα και κατηγορίες | μερικές φορές ως CATEGORIES, συχνά όχι |
| Υπενθυμίσεις | μερικές φορές, ανάλογα με την υπηρεσία |
| Σύνδεσμοι βιντεοδιάσκεψης (Teams, Meet) | παραμένουν ως κείμενο στο ραντεβού, αλλά δεν λειτουργούν πλέον μετά την ακύρωση |
| Ομάδες ή ετικέτες επαφών | όχι πάντα· ελέγξτε μετά την εισαγωγή |
| Φωτογραφίες επαφών | μεταφέρονται στο vCard, αλλά μεγαλώνουν το μέγεθος του αρχείου |
Μετρήστε προτού προχωρήσετε
Σημειώστε πριν από την εξαγωγή πόσες επαφές έχετε και, για μερικά ημερολόγια, πόσα ραντεβού υπάρχουν σε μια σταθερή περίοδο (για παράδειγμα Νοέμβριος). Μετά την εισαγωγή μετρήστε ξανά. Αυτός είναι ο γρηγορότερος τρόπος για να διαπιστώσετε ότι κάτι λείπει. Στην άσκηση αυτού του μαθήματος θα αφήσετε το πρόγραμμα να μετρήσει και να ελέγξει τα αρχεία σας.
Στην πράξη: έτσι φαίνεται σε έναν πάροχο
Σε ένα Nextcloud της WebOké υπάρχουν δύο εργαλεία μετεγκατάστασης που ανακτούν απευθείας: το WebOké Import Tool για Google (Drive, Φωτογραφίες, Ημερολόγιο και Επαφές) και το Gegevensmigratie για OneDrive και Microsoft 365, με το οποίο εισάγετε επίσης επαφές και ημερολόγια από τον λογαριασμό σας στη Microsoft. Αν το ημερολόγιό σας προέρχεται από αλλού, τότε εισάγετε τα αρχεία ics και vCard οι ίδιοι (μάθημα 5.3). Το Nextcloud διαβάζει vCard 3.0 και 4.0. Σε άλλες ευρωπαϊκές υπηρεσίες υπάρχουν αντίστοιχα εργαλεία εισαγωγής ή ένα κουμπί εισαγωγής στο ημερολόγιο και στο βιβλίο διευθύνσεων· οι μορφές αρχείων είναι παντού οι ίδιες.
Σύνοψη
- Τα ημερολόγια μεταφέρονται ως ics (iCalendar), οι επαφές ως vcf (vCard 3.0 ή 4.0)· πρόκειται για αναγνώσιμα αρχεία κειμένου.
- Ένα εργαλείο μετεγκατάστασης που ανακτά απευθείας είναι συχνά ευκολότερο, αλλά δημιουργήστε παρ' όλα αυτά μια δική σας εξαγωγή ως έλεγχο και αντίγραφο ασφαλείας.
- Σε ένα αρχείο ics προσέξτε το UID, το RRULE, και τις ζώνες ώρας με ένα block VTIMEZONE· χωρίς αυτό τα ραντεβού μετατοπίζονται.
- Το Outlook στο web εξάγει επαφές μόνο ως csv· χρησιμοποιήστε ένα εργαλείο μετεγκατάστασης ή μετατρέψτε το csv σε vCard.
- Μετρήστε εκ των προτέρων τις επαφές και τα ραντεβού, ώστε μετά την εισαγωγή να μπορείτε να διαπιστώσετε αν λείπει κάτι.
Κουίζ
Άσκηση
Άσκηση A5.2: Έλεγχος της δοκιμαστικής εξαγωγής σας. Εξάγετε ένα ημερολόγιο (ics) και τις επαφές σας (vcf). Συμπληρώστε πρώτα πόσες επαφές έχετε και πόσα ραντεβού αναμένετε. Κατόπιν ανεβάστε τα αρχεία. Το πρόγραμμα ελέγχει αν είναι έγκυρα, μετρά ραντεβού, επαναλήψεις και επαφές, αναζητά ζώνες ώρας χωρίς περιγραφή και διπλότυπες επαφές, και συγκρίνει με τους δικούς σας αριθμούς. Τα αρχεία διαβάζονται μόνο και δεν αποθηκεύονται.
Άσκηση E5.2: Τι δεν μεταφέρεται; Ανοίξτε το αρχείο ics σας σε έναν επεξεργαστή κειμένου. Βρείτε ένα επαναλαμβανόμενο ραντεβού, ένα ραντεβού με συμμετέχοντες και ένα ραντεβού με σύνδεσμο βιντεοδιάσκεψης. Σημειώστε για κάθε ραντεβού τι πρέπει να κάνετε μετά τη μετάβαση.
Άσκηση E5.2: Τι δεν μεταφέρεται;
Ανοίξτε το δικό σας αρχείο ics σε έναν επεξεργαστή κειμένου.
Τα τικ και οι σημειώσεις σας παραμένουν μόνο σε αυτό το πρόγραμμα περιήγησης· δεν τα στέλνουμε πουθενά. Αν έχετε εγγραφεί, αποθηκεύουμε στο Τα μαθήματά μου μόνο ότι έχετε ολοκληρώσει την άσκηση.
Για περαιτέρω μελέτη
Τα βήματα σε αυτά τα άρθρα ισχύουν για τις υπηρεσίες της WebOké· σε άλλους παρόχους η διαδικασία είναι παρόμοια.
- Οδηγός Nextcloud 13.5: Ημερολόγιο και επαφές από Google, iCloud ή Outlook (ics και vCard)
- Οδηγός Nextcloud 13.2: Μεταφορά Google Drive, Φωτογραφιών, Ημερολογίου και Επαφών με το WebOké Import Tool
- Οδηγός Nextcloud 13.4: Μεταφορά του OneDrive με τη Μετεγκατάσταση δεδομένων
- Οδηγός Nextcloud 13.6: Από το Microsoft 365 στο WebOké: αρχεία, έγγραφα, email και ημερολόγιο
- RFC 5545 (iCalendar), RFC 2426 (vCard 3.0), RFC 6350 (vCard 4.0)
- Βοήθεια Google Calendar: Εξαγωγή συμβάντων· Βοήθεια Google Contacts: Εξαγωγή επαφών· Υποστήριξη Microsoft: Εξαγωγή επαφών από το Outlook
